Name:       locmap-firstboot
Version:    0.3
Release:    7%{?dist}
Summary:    Firstboot package for Locmap

Group:      CERN/Utilities
License:    BSD
URL:        http://linux.cern.ch
Source0:    %{name}-%{version}.tar.gz

BuildArch:  noarch

Requires:   locmap
Requires:   firstboot

BuildRequires:  systemd

%description
Package for first boot time, responsible for configuring afs and other selected modules via locmap.

%prep
%setup -n code

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/firstboot/modules/
install -d %{buildroot}/%{_sysconfdir}/sysconfig/
install -d %{buildroot}/%{_sbindir}
install -d %{buildroot}/%{_unitdir}


install -m 0644 locmap-firstboot-graphical.service %{buildroot}/%{_unitdir}/
install -m 0751 cern_customize.py %{buildroot}/%{_datadir}/firstboot/modules/
install -m 0751 locmap-firstboot %{buildroot}/%{_sbindir}
install -m 0644 etc/sysconfig/locmap-firstboot %{buildroot}/%{_sysconfdir}/sysconfig/

%post
if [ $1 -eq 1 ] ; then
        # Initial installation
        /usr/bin/systemctl enable locmap-firstboot-graphical.service >/dev/null 2>&1 || :
fi

/bin/rm -f /usr/share/firstboot/modules/rhsm_login.py* || :

# HACK: we have it only in gui mode, but on 7.2 tui mode may start bypassing us ..
#
/usr/bin/systemctl disable initial-setup-text.service >/dev/null 2>&1 || :

%preun
if [ $1 -eq 0 ] ; then
        # Package removal, not upgrade
        /usr/bin/systemctl --no-reload disable locmap-firstboot-graphical.service > /dev/null 2>&1 || :
        /usr/bin/systemctl stop locmap-firstboot-graphical.service > /dev/null 2>&1 || :
fi

%postun
if [ $1 -ge 1 ] ; then
        # Package upgrade, not uninstall
        /usr/bin/systemctl try-restart locmap-firstboot-graphical.service >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%{_sbindir}/locmap-firstboot
%{_datadir}/firstboot/modules/cern_customize.py
%config %{_unitdir}/locmap-firstboot-graphical.service
%config(noreplace) %{_sysconfdir}/sysconfig/locmap-firstboot
%doc README.md


%changelog
* Mon Jan 09 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-7
- disable nscd by default

* Fri Dec 16 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-6
- fixing wrong copy / paste for unit name...
- enabling locmap-firstboot in sysconfig

* Fri Dec 16 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.3-4
- improve post scripts, systemd unit.

* Wed Dec 14 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3
- Update Makefile

* Tue Nov 1 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Add the lpadmin module to default list modules

* Wed Sep 7 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Adding eosclient and cvmfs features

* Fri Sep 2 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Fixing systemd service for installation time

* Fri Jun 24 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Initial release
